<template>

<div v-for="article of articles" :key="article.id_categorie">
  <h1> Découvert tous les articles de '{{ article.id }}' </h1>

  {{ article }}
</div>

  <div class="row">
      <div v-for="article of articles" :key="article.id">
    
      <div class="col s4 m4">

      <div class="card">
        <div class="card-image">
          <RouterLink :to="'/article/' + article.id" active-class="active"><img :src=" article.photo"></RouterLink>
          <span class="card-title">{{ article.titre }}</span>
          <!-- <a class="bt n-floating halfway-fab waves-effect waves-light red"><i class="material-icons">+</i></a> -->
        </div>

        <div class="card-content">
          <p> {{ article.text}}</p>
        </div>
      </div>

      </div>
    </div>
    </div>

    <CommentaireList></CommentaireList>

</template>

<script setup lang="ts">

import type { Article, Categorie } from '@/entities';
import { onMounted, ref, watch } from 'vue';
import { useRoute } from 'vue-router';
import { fetchIdCategoArticles } from '@/service/article-service';
import ArticleList from '@/components/ArticleList.vue';
import CommentaireList from '@/components/CommentaireList.vue';
import { fetchCategories } from '@/service/categorie-service';


const route = useRoute();
const articles = ref<Article[]>([]);

watch(() => route.params.id, async () =>{
    articles.value = await fetchIdCategoArticles(route.params.id);
}, {immediate:true})


</script>